Scientific Linux Security Update : libvorbis on SL3.x, SL4.x, SL5.x i386/x86_64

This script is Copyright (C) 2012-2014 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

CVE-2009-2663 libvorbis: Improper codec headers processing (DoS, ACE)

An insufficient input validation flaw was found in the way libvorbis
processes the codec file headers (static mode headers and encoding
books) of the Ogg Vorbis audio file format (Ogg). A remote attacker
could provide a specially crafted Ogg file that would cause a denial
of service (memory corruption and application crash) or, potentially,
execute arbitrary code with the privileges of an application using the
libvorbis library when opened by a victim. (CVE-2009-2663)

The desktop must be restarted (log out, then log back in) for this
update to take effect.

See also :

http://www.nessus.org/u?543e8df7

Solution :

Update the affected libvorbis and / or libvorbis-devel packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60643 ()

Bugtraq ID:

CVE ID: CVE-2009-2663